/*----- PROTECTED REGION ID(WienerMpodHvModuleStateMachine.cpp) ENABLED START -----*/
//=============================================================================
//
// file :        WienerMpodHvModuleStateMachine.cpp
//
// description : State machine file for the WienerMpodHvModule class
//
// project :     Uses WienerMpodLvHvCtrl to control a single HV module
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
//
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <WienerMpodHvModule.h>

/*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::WienerMpodHvModuleStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================


namespace WienerMpodHvModule_ns
{
//=================================================
//        Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleAuxiliaryMeasurementVoltage0_allowed()
 *    Description : Execution allowed for ModuleAuxiliaryMeasurementVoltage0 attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleAuxiliaryMeasurementVoltage0_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleAuxiliaryMeasurementVoltage0 attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleAuxiliaryMeasurementVoltage0StateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleAuxiliaryMeasurementVoltage0StateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleAuxiliaryMeasurementVoltage1_allowed()
 *    Description : Execution allowed for ModuleAuxiliaryMeasurementVoltage1 attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleAuxiliaryMeasurementVoltage1_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleAuxiliaryMeasurementVoltage1 attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleAuxiliaryMeasurementVoltage1StateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleAuxiliaryMeasurementVoltage1StateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleDescription_allowed()
 *    Description : Execution allowed for ModuleDescription attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleDescription_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleDescription attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleDescriptionStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleDescriptionStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleEventChannelStatus_allowed()
 *    Description : Execution allowed for ModuleEventChannelStatus attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleEventChannelStatus_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleEventChannelStatus attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleEventChannelStatusStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleEventChannelStatusStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleEventStatus_allowed()
 *    Description : Execution allowed for ModuleEventStatus attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleEventStatus_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleEventStatus attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleEventStatusStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleEventStatusStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleEventStatusAsString_allowed()
 *    Description : Execution allowed for ModuleEventStatusAsString attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleEventStatusAsString_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleEventStatusAsString attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleEventStatusAsStringStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleEventStatusAsStringStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleHardwareLimitCurrent_allowed()
 *    Description : Execution allowed for ModuleHardwareLimitCurrent attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleHardwareLimitCurrent_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleHardwareLimitCurrent attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleHardwareLimitCurrentStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleHardwareLimitCurrentStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleHardwareLimitVoltage_allowed()
 *    Description : Execution allowed for ModuleHardwareLimitVoltage attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleHardwareLimitVoltage_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleHardwareLimitVoltage attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleHardwareLimitVoltageStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleHardwareLimitVoltageStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleIndex_allowed()
 *    Description : Execution allowed for ModuleIndex attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleIndex_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleIndex attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleIndexStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleIndexStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleMeasurementTemperature0_allowed()
 *    Description : Execution allowed for ModuleMeasurementTemperature0 attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleMeasurementTemperature0_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleMeasurementTemperature0 attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleMeasurementTemperature0StateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleMeasurementTemperature0StateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleNumberOfChannels_allowed()
 *    Description : Execution allowed for ModuleNumberOfChannels attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleNumberOfChannels_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleNumberOfChannels attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleNumberOfChannelsStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleNumberOfChannelsStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleRampSpeedCurrent_allowed()
 *    Description : Execution allowed for ModuleRampSpeedCurrent attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleRampSpeedCurrent_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
    //    Not any excluded states for ModuleRampSpeedCurrent attribute in Write access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleRampSpeedCurrentStateAllowed_WRITE) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleRampSpeedCurrentStateAllowed_WRITE

    //    Not any excluded states for ModuleRampSpeedCurrent attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleRampSpeedCurrentStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleRampSpeedCurrentStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleRampSpeedVoltage_allowed()
 *    Description : Execution allowed for ModuleRampSpeedVoltage attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleRampSpeedVoltage_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
    //    Not any excluded states for ModuleRampSpeedVoltage attribute in Write access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleRampSpeedVoltageStateAllowed_WRITE) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleRampSpeedVoltageStateAllowed_WRITE

    //    Not any excluded states for ModuleRampSpeedVoltage attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleRampSpeedVoltageStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleRampSpeedVoltageStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleStatus_allowed()
 *    Description : Execution allowed for ModuleStatus attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleStatus_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleStatus attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleStatusStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleStatusStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleStatusAsString_allowed()
 *    Description : Execution allowed for ModuleStatusAsString attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleStatusAsString_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ModuleStatusAsString attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleStatusAsStringStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleStatusAsStringStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ModuleDoClear_allowed()
 *    Description : Execution allowed for ModuleDoClear attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ModuleDoClear_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
    //    Not any excluded states for ModuleDoClear attribute in Write access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleDoClearStateAllowed_WRITE) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleDoClearStateAllowed_WRITE

    //    Not any excluded states for ModuleDoClear attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ModuleDoClearStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ModuleDoClearStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ChannelDynDoubleRead_allowed()
 *    Description : Execution allowed for ChannelDynDoubleRead attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ChannelDynDoubleRead_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ChannelDynDoubleRead attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynDoubleReadStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynDoubleReadStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ChannelDynDoubleReadWrite_allowed()
 *    Description : Execution allowed for ChannelDynDoubleReadWrite attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ChannelDynDoubleReadWrite_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
    //    Not any excluded states for ChannelDynDoubleReadWrite attribute in Write access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynDoubleReadWriteStateAllowed_WRITE) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynDoubleReadWriteStateAllowed_WRITE

    //    Not any excluded states for ChannelDynDoubleReadWrite attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynDoubleReadWriteStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynDoubleReadWriteStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ChannelDynLongRead_allowed()
 *    Description : Execution allowed for ChannelDynLongRead attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ChannelDynLongRead_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ChannelDynLongRead attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynLongReadStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynLongReadStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ChannelDynLongReadWrite_allowed()
 *    Description : Execution allowed for ChannelDynLongReadWrite attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ChannelDynLongReadWrite_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
    //    Not any excluded states for ChannelDynLongReadWrite attribute in Write access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynLongReadWriteStateAllowed_WRITE) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynLongReadWriteStateAllowed_WRITE

    //    Not any excluded states for ChannelDynLongReadWrite attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynLongReadWriteStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynLongReadWriteStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ChannelDynStringRead_allowed()
 *    Description : Execution allowed for ChannelDynStringRead attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ChannelDynStringRead_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ChannelDynStringRead attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynStringReadStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynStringReadStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ChannelDynBoolReadWrite_allowed()
 *    Description : Execution allowed for ChannelDynBoolReadWrite attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ChannelDynBoolReadWrite_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
    //    Not any excluded states for ChannelDynBoolReadWrite attribute in Write access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynBoolReadWriteStateAllowed_WRITE) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynBoolReadWriteStateAllowed_WRITE

    //    Not any excluded states for ChannelDynBoolReadWrite attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynBoolReadWriteStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynBoolReadWriteStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ChannelDynEnumReadWrite_allowed()
 *    Description : Execution allowed for ChannelDynEnumReadWrite attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ChannelDynEnumReadWrite_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
    //    Not any excluded states for ChannelDynEnumReadWrite attribute in Write access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynEnumReadWriteStateAllowed_WRITE) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynEnumReadWriteStateAllowed_WRITE

    //    Not any excluded states for ChannelDynEnumReadWrite attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynEnumReadWriteStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynEnumReadWriteStateAllowed_READ
    return true;
}

//--------------------------------------------------------
/**
 *    Method      : WienerMpodHvModule::is_ChannelDynDoubleVectorRead_allowed()
 *    Description : Execution allowed for ChannelDynDoubleVectorRead attribute
 */
//--------------------------------------------------------
bool WienerMpodHvModule::is_ChannelDynDoubleVectorRead_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

    //    Not any excluded states for ChannelDynDoubleVectorRead attribute in read access.
    /*----- PROTECTED REGION ID(WienerMpodHvModule::ChannelDynDoubleVectorReadStateAllowed_READ) ENABLED START -----*/
    
    /*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::ChannelDynDoubleVectorReadStateAllowed_READ
    return true;
}


//=================================================
//        Commands Allowed Methods
//=================================================


/*----- PROTECTED REGION ID(WienerMpodHvModule::WienerMpodHvModuleStateAllowed.AdditionalMethods) ENABLED START -----*/

//    Additional Methods

/*----- PROTECTED REGION END -----*/    //    WienerMpodHvModule::WienerMpodHvModuleStateAllowed.AdditionalMethods

}    //    End of namespace
